Bug 47303 - Update biology/p5-bioperl to latest release
Summary: Update biology/p5-bioperl to latest release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-21 17:10 UTC by fernan
Modified: 2004-01-21 08:35 UTC (History)
1 user (show)

See Also:


Attachments
bioperl-1.2.shar.gz.uu (13.78 KB, text/plain)
2003-01-21 17:10 UTC, fernan
no flags Details
bioperl.diff.gz.uu (18.16 KB, text/plain; charset=us-ascii)
2003-01-22 13:08 UTC, Fernan Aguero
no flags Details
bioperl.diff.gz.uu (18.22 KB, text/plain; charset=us-ascii)
2003-01-22 21:04 UTC, Fernan Aguero
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fernan 2003-01-21 17:10:02 UTC
	The p5-bioperl port is currently at v0.7.2 in the ports tree. However
	several releases have been made since then. 

	The latest bioperl release is v1.2

	This PR addresses the update to this latest release.

	Since there are some substantial changes I preferred to re-submit the
	whole port instead of diffs. The pkg-comment and pkg-descr, however,
	haven't changed	since the original submission of the port.

	Note that this new port just handles the installation of bioperl and
	not of additional extra stuff (bioperl-gui, bioperl-corba-server,
	bioperl-corba-client). This is unlike the behaviour of the current
	port.

	The extra stuff, though still functional, had very little adoption
	among users, and does not appear to be currently supported/maintained. 
	
	Also, I am requesting maintainership of the port. I have talked about
	this with Johann and he agrees with me taking maintainership of this
	port.

How-To-Repeat: 	
	uudecode bioperl-1.2.shar.gz.uu
	gzip -d bioperl-1.2.shar.gz
	sh bioperl-1.2.shar
Comment 1 corecode@corecode.ath.cx 2003-01-22 12:01:52 UTC
Lately Fernan Aguero told:

> 	Since there are some substantial changes I preferred to re-submit the
> 	whole port instead of diffs. The pkg-comment and pkg-descr, however,
> 	haven't changed	since the original submission of the port.

i think committers would like to see diffs anyways.

if they are too large put them on a webpage

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 corecode@corecode.ath.cx 2003-01-22 12:02:17 UTC
Lately Fernan Aguero told:

> 	Since there are some substantial changes I preferred to re-submit the
> 	whole port instead of diffs. The pkg-comment and pkg-descr, however,
> 	haven't changed	since the original submission of the port.

i think committers would like to see diffs anyways.

if they are too large put them on a webpage

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 3 Fernan Aguero 2003-01-22 13:08:24 UTC
I'm now submitting recursive unified diffs as requested. I
know, it was in the porter's handbook. It's just that it
makes no sense to me to diff two different files. As i said,
it's not that I've changed a thing here or there, I actually
rewrote the Makefile.

Anyway, here are the diffs,

Fernan

+----[ FreeBSD-gnats-submit@FreeBSD.org <FreeBSD-gnats-submit@FreeBSD.org> (21.Jan.2003 14:13):
|
| Thank you very much for your problem report.
| It has the internal identification `ports/47303'.
| The individual assigned to look at your
| report is: freebsd-ports-bugs. 
| 
| You can access the state of your problem report at any time
| via this link:
| 
| http://www.freebsd.org/cgi/query-pr.cgi?pr=47303
| 
| >Category:       ports
| >Responsible:    freebsd-ports-bugs
| >Synopsis:       Update biology/p5-bioperl to latest release
| >Arrival-Date:   Tue Jan 21 09:10:02 PST 2003
| 
|
+----]

-- 
F e r n a n   A g u e r o
http://genoma.unsam.edu.ar/~fernan
Comment 4 corecode@corecode.ath.cx 2003-01-22 14:10:20 UTC
Lately Fernan Aguero told:

> diff -ruN p5-bioperl.new/Makefile p5-bioperl/Makefile
> --- p5-bioperl.new/Makefile	Wed Jan 22 10:01:22 2003
> +++ p5-bioperl/Makefile	Fri Jan 25 08:46:09 2002

woo! reverse diff is hard to read, but here we go:

[...]
> -MASTER_SITES=		ftp://bioperl.org/pub/DIST/ \
> -                 http://bioperl.org/DIST \
                                           ^ add /
[...]
> -DISTFILES=			${DISTNAME}${EXTRACT_SUFX}

is that needed?

[...]
>  # These are all run-time dependencies, but listing them in ${BUILD_DEPENDS}
>  # prevents a flood of build-time warnings.
> -# 
> -# Text::Shellwords does not appear to be in the ports tree 
> -# and is required by Bio::Graphics:FeatureFile.pm
> -#
> -# DB_File is required to access Berkeley DB
> -# by Bio::DB::Flat and Bio::SeqFeature::Collection
> -# but is not in the ports tree
> -# 
> -# perhaps they're included with perl?
> -# let me know if they are

is this optional or mandatory? if so they need to be ported

[...]
> -.for doc in AUTHORS BUGS Changes DEPRECATED FAQ INSTALL LICENSE PLATFORMS README
> -	${INSTALL_MAN} ${WRKSRC}/${doc} ${DOCSDIR}

better use ${INSTALL_DATA}?

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 5 Fernan Aguero 2003-01-22 14:57:26 UTC
+----[ Simon 'corecode' Schubert <corecode@corecode.ath.cx> (22.Jan.2003 11:14):
|
| Lately Fernan Aguero told:
| 
| > diff -ruN p5-bioperl.new/Makefile p5-bioperl/Makefile
| > --- p5-bioperl.new/Makefile	Wed Jan 22 10:01:22 2003
| > +++ p5-bioperl/Makefile	Fri Jan 25 08:46:09 2002
| 
| woo! reverse diff is hard to read, but here we go:

I just followed the porter's handbook ... is it 'reverse'
or 'recursive'? If you ask about --- for the new files and
+++ for the old ones ... I can change the order, but again a
clear example was in the handbook and this time I did want
to follow it precisely :)

| [...]
| > -MASTER_SITES=		ftp://bioperl.org/pub/DIST/ \
| > -                 http://bioperl.org/DIST \
|                                            ^ add /

OK

| [...]
| > -DISTFILES=			${DISTNAME}${EXTRACT_SUFX}
| 
| is that needed?

perhaps this got over from the old Makefile. not needed
anymore.

| [...]
| >  # These are all run-time dependencies, but listing them in ${BUILD_DEPENDS}
| >  # prevents a flood of build-time warnings.
| > -# 
| > -# Text::Shellwords does not appear to be in the ports tree 
| > -# and is required by Bio::Graphics:FeatureFile.pm
| > -#
| > -# DB_File is required to access Berkeley DB
| > -# by Bio::DB::Flat and Bio::SeqFeature::Collection
| > -# but is not in the ports tree
| > -# 
| > -# perhaps they're included with perl?
| > -# let me know if they are
| 
| is this optional or mandatory? if so they need to be ported

Let me explain. bioperl is not just a module it is a
whole-bunch of modules with complex inter-dependencies.  So,
the answer to the question of them being optional is, yes,
they don't prevent the installation, there is no build-time
warnings (at least in my system, I'd like to see other
people testing). I just copied what the bioperl release says
about its dependencies (it would not be surprising, either,
that some dependency from an older release was not removed
from the README).  

However, even if there are no build-time warnings, perhaps
some issues may arise later. For example, if you plan to
use, say, Bio::Graphics::FeatureFile.pm, then perhaps you do
need it.

I put this in question marks in the Makefile, because I
don't know if these modules are 'basic' or part of the
standard perl installation. Even though there are no ports
for them, I had them installed in my system (again perhaps
as a result of some now forgotten manual installation,
that's why I'd like someone else to test it).

If, after all, they need to be ported, I can try port them.

| [...]
| > -.for doc in AUTHORS BUGS Changes DEPRECATED FAQ INSTALL LICENSE PLATFORMS README
| > -	${INSTALL_MAN} ${WRKSRC}/${doc} ${DOCSDIR}
| 
| better use ${INSTALL_DATA}?

I'm not an experienced porter, perhaps ${INSTALL_DATA} is
OK.

Should I resubmit everything? Or is this post enough to
commit the port?

Fernan

| 
| cheers
|   simon
| 
| -- 
| /"\   http://corecode.ath.cx/#donate
| \ /
|  \     ASCII Ribbon Campaign
| / \  Against HTML Mail and News


|
+----]

-- 
F e r n a n   A g u e r o
http://genoma.unsam.edu.ar/~fernan
Comment 6 corecode@corecode.ath.cx 2003-01-22 15:28:10 UTC
Lately Fernan Aguero told:

> Should I resubmit everything? Or is this post enough to
> commit the port?

depends :)
i'd either add the final diff (for that, change order of old/new) as
followup to the audit trail or just wait for a nice committer to contact
you...

cheers
  simon


-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 7 Fernan Aguero 2003-01-22 21:04:06 UTC
Here we go, recursive diff but now reversing the order and
correcting a few things.

Thanks,

Fernan

+----[ FreeBSD-gnats-submit@FreeBSD.org <FreeBSD-gnats-submit@FreeBSD.org> (21.Jan.2003 14:13):
|
| Thank you very much for your problem report.
| It has the internal identification `ports/47303'.
| The individual assigned to look at your
| report is: freebsd-ports-bugs. 
| 
| You can access the state of your problem report at any time
| via this link:
| 
| http://www.freebsd.org/cgi/query-pr.cgi?pr=47303
| 
| >Category:       ports
| >Responsible:    freebsd-ports-bugs
| >Synopsis:       Update biology/p5-bioperl to latest release
| >Arrival-Date:   Tue Jan 21 09:10:02 PST 2003
| 
|
+----]

-- 
F e r n a n   A g u e r o
http://genoma.unsam.edu.ar/~fernan
Comment 8 Anton Berezin freebsd_committer 2003-01-29 14:38:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wjv

Over to maintainer.
Comment 9 Mark Linimon 2003-12-07 21:44:07 UTC
Fernan, are you still interested in taking over this port?  Is
this still the current version?  The last time I email wjv@
he said that real life was taking priority over FreeBSD work
right now, so I'm going to try to pitch in here.
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2003-12-07 21:45:49 UTC
State Changed
From-To: open->feedback

Set to feedback to note that I'm going to try to track the 
state of this PR.
Comment 11 Edwin Groothuis freebsd_committer 2004-01-10 08:28:24 UTC
Responsible Changed
From-To: wjv->linimon

I've heard rumours that linimon@ is busy with these ones.
Comment 12 Mark Linimon freebsd_committer freebsd_triage 2004-01-21 08:35:06 UTC
State Changed
From-To: feedback->closed

Committed, thanks for being so patient, and volunteering to 
take over this port.